import React from "react";
import Dropdown from "react-bootstrap/Dropdown";

import { AccountIdMap, IAccount } from "./client/types";

export type AccountListProps = {
	account: IAccount | null;
	accounts: AccountIdMap;
};

const AccountList: React.FC<AccountListProps> = ({ account, accounts }) => {
	return (
		<Dropdown>
			<Dropdown.Toggle variant="success" id="dropdown-basic">
				{account ? account.name : "select account"}
			</Dropdown.Toggle>

			<Dropdown.Menu>
				{Object.keys(accounts).map((key: keyof AccountIdMap) => (
					<Dropdown.Item href={"#" + key} key={key}>
						{accounts[key].name}
					</Dropdown.Item>
				))}
			</Dropdown.Menu>
		</Dropdown>
	);
};
export default AccountList;
